Sub ContourLinesPerSurface_Example()
' This example returns the current setting of
' ContourLinesPerSurface. It then changes the value, and finally
' it resets the value back to the original setting.
Dim currContourLinesPerSurface As Integer
Dim newContourLinesPerSurface As Integer
' Retrieve the current ContourLinesPerSurface value
currContourLinesPerSurface = ThisDrawing.Preferences.ContourLinesPerSurface
MsgBox "The current value for ContourLinesPerSurface is " & currContourLinesPerSurface, vbInformation, "ContourLinesPerSurface Example"
' Change the value for ContourLinesPerSurface
newContourLinesPerSurface = 2001
ThisDrawing.Preferences.ContourLinesPerSurface = newContourLinesPerSurface
MsgBox "The new value for ContourLinesPerSurface is " & newContourLinesPerSurface, vbInformation, "ContourLinesPerSurface Example"
' Reset ContourLinesPerSurface to its original value
ThisDrawing.Preferences.ContourLinesPerSurface = currContourLinesPerSurface
MsgBox "The ContourLinesPerSurface value is reset to " & currContourLinesPerSurface, vbInformation, "ContourLinesPerSurface Example"
End Sub
Bricscad™ is commercialized by Bricsys NV. Bricsys NV and Vondle NV are fully owned subsidiaries of Menhirs NV. © 2001- Menhirs NV - All rights reserved. |